Bug 143814 - suexec broken with 2.58 update
suexec broken with 2.58 update
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-12-28 12:21 EST by Frank Ch. Eigler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.25.4-10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-15 11:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2004-12-28 12:21:54 EST
Description of problem:
suexec cgi scripts cannot access the home directory, regardless of

Version-Release number of selected component (if applicable):

The following clause should probably go into the apache_macros.te file:

if (httpd_enable_homedirs) {
allow httpd_suexec_t user_home_dir_t:dir { getattr search };
Comment 1 Daniel Walsh 2005-01-03 15:03:59 EST
Added in selinux-policy-targeted-1.17.30-2.65.src.rpm
Comment 2 Frank Ch. Eigler 2005-03-27 10:52:33 EST
As of version selinux-policy-targeted-sources-1.17.30-2.90
the user_home_dir_t part is still not included in the apache_macros.te file.
The script_rw_t / script_ro_t tags don't seem to include enough.

FWIW, the suexec-invoked program in question is a perl script named index.cgi,
using lots of r/w state right in the public_html directory.  This directory
is entirely tagged with httpd_user_content_t.

Note You need to log in before you can comment on or make changes to this bug.